<p class="container m-auto p-4">Provide defaults and context for Page 1 and Page 2.
  Use the <code>Navigate</code> button to emulate navigating to that page and calling <code>seoManager.update(pageXContext)</code>.
  <br>
  Then see what header elements would be produced below.
</p>
<div class="flex gap-4 p-4">
  <div class="flex-1" [class.error]="!!defaultError">
    <h2>Defaults</h2>
    <textarea (keyup)="updateDefault($any($event.target).value)">{{defaults}}</textarea>
    <div class="error-text">{{defaultError}}</div>
  </div>
  <div class="flex-1" [class.error]="!!page1Error">
    <h2>Page 1 <button mat-flat-button color="primary" (click)="navigate(page1Parsed, 'page1')">Navigate</button></h2>
    <textarea (keyup)="updatePage1($any($event.target).value)">{{page1}}</textarea>
    <div class="error-text">{{page1Error}}</div>
  </div>
  <div class="flex-1" [class.error]="!!page2Error">
    <h2>Page 2 <button mat-flat-button color="primary" (click)="navigate(page2Parsed, 'page2')">Navigate</button></h2>
    <textarea (keyup)="updatePage2($any($event.target).value)">{{page2}}</textarea>
    <div class="error-text">{{page2Error}}</div>
  </div>
</div>

<h2 class="px-4">Produced:</h2>
<pre class="p-4"><code>{{output}}</code></pre>

<section class="container m-auto">
  <h2 class="px-4">Quick Notes:</h2>
  <p class="mt-4">Defaults act as fallbacks - when a page doesn't supply a value, the defaults will be used. Mostly useful for image, robots, and other things that rarely change. It's best practice to set title and description uniquely for each page.</p>
  <p class="mt-4">Some defaults are derived by existing meta tags found in the DOM when SEO Manager is created - this isn't emulated here for simplicity.</p>
</section>
